aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/robot/features
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries/robot/features')
-rw-r--r--resources/libraries/robot/features/gbp.robot100
1 files changed, 0 insertions, 100 deletions
diff --git a/resources/libraries/robot/features/gbp.robot b/resources/libraries/robot/features/gbp.robot
deleted file mode 100644
index fc1c9faba4..0000000000
--- a/resources/libraries/robot/features/gbp.robot
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright (c) 2020 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-*** Settings ***
-| Library | resources.libraries.python.GBP
-|
-| Documentation | GBP keywords.
-
-*** Keywords ***
-| Initialize GBP routing domains on node
-| | [Documentation]
-| | ... | Initialize GBP routing domains on node.
-| |
-| | ... | *Arguments:*
-| | ... | - dut - DUT node. Type: string
-| | ... | - count - Number of baseline interface variables. Type: integer
-| |
-| | ... | *Example:*
-| |
-| | ... | \| Initialize GBP routing domains on node \| DUT1 \| 1 \|
-| |
-| | [Arguments] | ${dut} | ${count}=${1}
-| |
-| | FOR | ${id} | IN RANGE | 1 | ${count} + 1
-| | | ${hexa_id}= | Convert To Hex | ${id} | length=2 | lowercase=yes
-| | | ${dut_lo}= | VPP Create Loopback | ${nodes['${dut}']}
-| | | ... | mac=ba:dc:00:ff:ee:${hexa_id}
-| | | Set Interface State
-| | | ... | ${nodes['${dut}']} | ${dut_lo} | up
-| | | Add Fib Table
-| | | ... | ${nodes['${dut}']} | ${id}
-| | | GBP Route Domain Add
-| | | ... | ${nodes['${dut}']} | rd_id=${id}
-| | | Assign Interface To Fib Table
-| | | ... | ${nodes['${dut}']} | ${dut_lo} | ${id}
-| | | Create L2 BD
-| | | ... | ${nodes['${dut}']} | ${id} | arp_term=${1}
-| | | GBP Bridge Domain Add
-| | | ... | ${nodes['${dut}']} | ${dut_lo} | bd_id=${id}
-| | | GBP Endpoint Group Add
-| | | ... | ${nodes['${dut}']} | ${100} | bd_id=${id} | rd_id=${id}
-| | | VPP Interface Set IP Address
-| | | ... | ${nodes['${dut}']} | ${dut_lo} | 1.1.1.1 | 24
-| | | GBP Subnet Add Del
-| | | ... | ${nodes['${dut}']} | 1.1.1.0 | 24 | ${100} | rd_id=${id}
-| | | GBP Ext Itf Add Del
-| | | ... | ${nodes['${dut}']} | ${dut_lo} | bd_id=${id} | rd_id=${id}
-| | | GBP Endpoint Add
-| | | ... | ${nodes['${dut}']} | ${${dut}_${int}1_${id}}[0]
-| | | ... | 1.1.1.100 | ${TG_pf1_mac}[0] | ${100}
-| | | GBP Endpoint Add
-| | | ... | ${nodes['${dut}']} | ${${dut}_${int}2_${id}}[0]
-| | | ... | 1.1.1.200 | ${TG_pf2_mac}[0] | ${100}
-| | | VPP Route Add
-| | | ... | ${nodes['${dut}']} | 10.10.10.0 | 24 | gateway=1.1.1.100
-| | | ... | interface=${dut_lo} | vrf=${1}
-| | | VPP Route Add
-| | | ... | ${nodes['${dut}']} | 20.20.20.0 | 24 | gateway=1.1.1.200
-| | | ... | interface=${dut_lo} | vrf=${1}
-| | | GBP Subnet Add Del
-| | | ... | ${nodes['${dut}']} | 10.10.10.0 | 24 | ${200} | rd_id=${id}
-| | | GBP Subnet Add Del
-| | | ... | ${nodes['${dut}']} | 20.20.20.0 | 24 | ${300} | rd_id=${id}
-| | | Add Replace Acl Multi Entries
-| | | ... | ${nodes['${dut}']}
-| | | ... | rules="ipv4 permit src 0.0.0.0/0 dst 0.0.0.0/0 proto 61"
-| | | ... | tag="gbp-permit-200-300"
-| | | GBP Contract Add Del
-| | | ... | ${nodes['${dut}']} | ${200} | ${300} | acl_index=${0}
-| | | GBP Contract Add Del
-| | | ... | ${nodes['${dut}']} | ${300} | ${200} | acl_index=${0}
-| | END
-
-| Initialize GBP routing domains
-| | [Documentation]
-| | ... | Initialize GBP routing domains on all DUTs.
-| |
-| | ... | *Arguments:*
-| | ... | - count - Number of GBP routing domains. Type: integer
-| |
-| | ... | *Example:*
-| |
-| | ... | \| Initialize GBP routing domains \| 1 \|
-| |
-| | [Arguments] | ${count}=${1}
-| |
-| | FOR | ${dut} | IN | @{duts}
-| | | Initialize GBP routing domains on node | ${dut} | count=${count}
-| | END
-| | Set interfaces in path up
background-color: #fff0f0 } /* Literal.String.Interpol */ .highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */ .highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */ .highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */ .highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */ .highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */ .highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */ .highlight .vc { color: #336699 } /* Name.Variable.Class */ .highlight .vg { color: #dd7700 } /* Name.Variable.Global */ .highlight .vi { color: #3333bb } /* Name.Variable.Instance */ .highlight .vm { color: #336699 } /* Name.Variable.Magic */ .highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */ }
# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set -exuo pipefail

# This file should be executed from tox, as the assumend working directory
# is different from where this file is located.
# This file does not have executable flag nor shebang,
# to dissuade non-tox callers.

# This script runs pylint and propagates its exit code.
# Config is taken from pylint.cfg, and proper virtualenv is assumed to be active.
# The pylint output stored to pylint.log (overwriting).

# "set -eu" handles failures from the following two lines.
BASH_CHECKS_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))"
BASH_FUNCTION_DIR="$(readlink -e "${BASH_CHECKS_DIR}/../../function")"
source "${BASH_FUNCTION_DIR}/common.sh" || {
    echo "Source failed." >&2
    exit 1
}
pylint_args=("--rcfile=pylint.cfg" "resources/" "GPL/")
if pylint "${pylint_args[@]}" > "pylint.log"; then
    warn
    warn "Pylint checker: PASS"
else
    # TODO: Decide which text goes to stdout and which to stderr.
    warn "Pylint exited with nonzero status."
    ## TODO: Enable when output size does more good than harm.
    # cat "pylint.log" >&2
    warn
    warn "Pylint checker: FAIL"
    exit 1
fi